lumiQ {lumi} | R Documentation

## Quality control evaluation of the LumiBatch object

### Description

Quality control evaluation of the LumiBatch object and returns a summary of the data

### Usage

    lumiQ(x.lumi, logMode = TRUE, detectionTh = 0.01, verbose = TRUE)

### Arguments

`x.lumi` | a LumiBatch object
`logMode` | transform as log2 or not (the function can check whether it is already log transformed.)
`detectionTh` | the detection threshold used by `detectionCall`
`verbose` | a boolean to decide whether to print out some messages

### Details

Quality control of a LumiBatch object includes estimating the mean and standard deviation of the chips, detectable probe ratio of each chip, sample (chip) relations, detecting outliers of samples (chips). The produced QC information is kept in the QC slot of LumiBatch class. The summary function will provide a summary of the QC information (See example).

### Value

a LumiBatch object with QC slot keeping the QC information

### Author(s)

Pan Du

### See Also

`LumiBatch`, `plot,LumiBatch-method`

### Examples

    ## load example data
    data(example.lumi)

    ## Do quality control estimation
    lumi.Q <- lumiQ(example.lumi)

    ## A summary of the QC
    summary(lumi.Q, 'QC')

    ## Plot the results
    ## plot the pairwise sample correlation
    plot(lumi.Q, what='pair')

    ## see more examples in "plot,LumiBatch-method" help documents

[Package lumi version 1.10.2 Index]